Subject: Re: [Bitcoin-development] The Bitcoin Node Market

From: "[email-masked]" <[email-masked]>
Date: Mon, 15 Jun 2015 22:12:53 +0200

Hi Raystonn

On Mon, Jun 15, 2015 at 9:36 PM, Raystonn . <[email-masked]> wrote:
>
> I am only partially through the content at the below link, and I am very impressed.  Has Justus Ranvier began work on implementation of the ideas contained therein?

I don't know if he or someone else has begun writing code to implement
what was described in the liked post, but I'm sure he will reply to
you since he's subscribed to this mailing list.

>
>
>
> From: [email-masked]
> Sent: Monday, June 15, 2015 12:18 PM
> To: Raystonn .
> Cc: Bitcoin Dev
> Subject: Re: [Bitcoin-development] The Bitcoin Node Market
>
>
> Sorry for top posting and the brevity but I'm typing from my phone
>
> You shoud be interested in this post by Justus Ranvier then:
>
> https://bitcoinism.liberty.me/economic-fallacies-and-the-block-size-limit-part-2-price-discovery/
>
> On Jun 15, 2015 8:57 PM, "Raystonn ." <[email-masked]> wrote:
>>
>> I have been toying with an idea and figured I'd run it by everyone here
>> before investing further time in it.  The goal here is to make it
>> sustainable, and perhaps profitable, to run full nodes on the Bitcoin
>> Network in the long term.
>>
>> - Nodes can participate in a market wherein they are paid by nodes, wallets,
>> and other services to supply Bitcoin Network data.  Payment should be based
>> on the cost imposed on the Node to do the work and send the data, but can be
>> set in any way the node operator desires.  It's a free market.
>> - Nodes that are mostly leeching data from the Bitcoin Network, such as
>> those that do not receive inbound connections to port 8333, will send
>> payments to the nodes they connect to, but will likely receive no payments
>> from other nodes, wallets, and other services.
>> - Nodes that are providing balanced full service to the Bitcoin Network will
>> tend to have a balance of payments coming in and going out with regards to
>> other balanced full service nodes, leaving them revenue neutral there.  But
>> they will receive payments from leech nodes, wallets, and other services.
>>
>> The net effect here is that the cost to run nodes will be shared by those
>> who are using the Bitcoin network but not contributing by running a full
>> node.  A market will develop for fees to connect to the Bitcoin Network
>> which should help cover the cost of running the Network.  It's still
>> possible to continue offering access to your node for free as there is
>> nothing forcing you to charge a fee.  But this isn't very sustainable
>> long-run.  Market efficiencies should eventually mean nodes take in only
>> what is required to keep the Network operational.
>>
>> Raystonn
>>
>>
>> ------------------------------------------------------------------------------
>> _______________________________________________
>> Bitcoin-development mailing list
>> [email-masked]
>> https://lists.sourceforge.net/lists/listinfo/bitcoin-development